Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.dsmediator.update
Class UpdatePlan

    java.lang.Object
      com.bea.ld.dsmediator.update.UpdatePlan

All Implemented Interfaces:
  java.io.Serializable

public class UpdatePlan
extends java.lang.Object
implements java.io.Serializable

Update plan is a sequence of nodes decomposed from original View SDO object. Each node in sequence can either be a SDO instance only or a SDO with a sub-update plan, which is another sequence of nodes. in View SDO, if a parent DataObject get updated, at least partially due to the changes on the DataObjects nested inside it, then SDO instances corresponding to those children DataObjects will be addChild into sub-update plan. Update plan contains inserted, updated, deleted and unchanged SDO instances as well. Update plan is constructed from a LinkedHashMap tree, independent SDO instances are addChild in the same level and update sequence on their source dataobjects is preserved

See Also:
  Serialized Form

Constructor Summary
`UpdatePlan()`

Method Summary
`void` | `addDataService(commonj.sdo.DataGraph sdo, DataServiceToUpdate ds2u)`
`DataServiceToUpdate` | `addDataService(commonj.sdo.DataGraph sdo, java.lang.String dsName)` Add a independent data graph into update plan as top level object if you need make current sdo be dependent of another sdo in the plan, first locate DataSericeToUpdate object for the parent sdo, then add this sdo to it as contained SDO.
`void` | `clear()`
`java.util.Collection` | `getDataServiceList()`
`static UpdatePlan` | `getDeserializedPlan(byte[] bArray)`
`static byte[]` | `getSerializedBytes(UpdatePlan up)`
`DataServiceToUpdate` | `removeContainedDataService(commonj.sdo.DataGraph sdo)` Take out a top level data graph object from plan

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdatePlan

    public UpdatePlan()

Method Detail

### getDataServiceList

    public java.util.Collection getDataServiceList()

  Returns:
    A Collection of independent data graph objects each wrapped in a DataServiceToUpdate object

### addDataService

    public DataServiceToUpdate addDataService(commonj.sdo.DataGraph sdo,
                                              java.lang.String dsName)

  Add a independent data graph into update plan as top level object if you need make current sdo be dependent of another sdo in the plan, first locate DataSericeToUpdate object for the parent sdo, then add this sdo to it as contained SDO.

  Parameters:
    `sdo` - data graph to be updated
    `dsName` - data service URI

### addDataService

    public void addDataService(commonj.sdo.DataGraph sdo,
                               DataServiceToUpdate ds2u)

### clear

    public void clear()

### removeContainedDataService

    public DataServiceToUpdate removeContainedDataService(commonj.sdo.DataGraph sdo)

  Take out a top level data graph object from plan

  Parameters:
    `sdo` -

### getSerializedBytes

    public static byte[] getSerializedBytes(UpdatePlan up)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getDeserializedPlan

    public static UpdatePlan getDeserializedPlan(byte[] bArray)
                                          throws java.io.IOException,
                                                 java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems Inc. All Rights Reserved.